Subject: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Alan Third <[email-masked]>
Date: Fri, 31 Jan 2020 20:23:35 +0000

On Fri, Jan 31, 2020 at 03:57:09PM +0100, Robert Pluim wrote:
> >>>>> On Thu, 30 Jan 2020 12:07:18 -0800, Aaron Jensen <[email-masked]> said:
> 
>     Aaron> On Thu, Jan 30, 2020 at 11:11 AM Alan Third <[email-masked]> wrote:
>     >> 
>     >> It may be that we need to fix all of these, but is it possible for you
>     >> to run a profile and find out what’s using up the most time?
> 
>     Aaron> I'd be happy to, but I don't know how to do that (assuming it's not
>     Aaron> profiler.el you're referring to).
> 
> My results mirror Aaron's. Alan, what kind of profiling would you like
> to see? (I donʼt think perf runs on macOS, but I could be wrong).

I’m thinking of time spent in functions during, perhaps the scroll
benchark, or just general use. I know it can be done through xcode and
I think gperftools perhaps works on macOS.

Alternatively I may be able to do it. Is it just a matter of grabbing
the spacemacs config and using it, or do I need to do anything
further?
-- 
Alan Third